# PetscMapSetSize

Sets the total number of elements associated with this map.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscMapSetSize(PetscMap m,PetscInt N)

Not Collective

### Input Parameters

| m | - the map object
| N | - the global size

### See Also

PetscMapSetLocalSize(), PetscMapGetLocalRange(), PetscMapGetGlobalRange()

Level:developer
Location:src/vec/interface/map.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages